{% include 'base.html' %}
{%load static%}
{%block content%}

<link rel="stylesheet" href="{% static 'RS.css' %}">
<link rel="stylesheet" href="{% static 'riwayat.css' %}">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://cdn.zingchart.com/zingchart.min.js"></script>

<div id="body">
    <h2  class="judul-pendaftar">Riwayat Perjalanan Pasien Covid</h2>
    {% if user.is_authenticated %}
    <div class="table-responsive">
    <table class="table tabel" >
        <thead style="background-color:  #8BA6B9;">
            <tr style="color: white;">
                <th scope="col" style="width: 50%;">Tempat Dikunjungi</th>
                <th scope="col" style="width: 15%;">Provinsi</th>
                <th scope="col" style="width: 15%; text-align:right">Tanggal</th>
            </tr>
        </thead>
        {% for hasil in hasilForm %}
        <tbody>
            <tr  class="row-pasien" style="background-color: white;">
                <td >{{hasil.tempat}}</td>
                <td >{{hasil.alamat}}</td>
                <td style="text-align:right">{{hasil.tanggal}}</td>
            </tr>
        </tbody>
        {% endfor %}
    </table>
    <div class="div-button">
        <button id="tombolChart">Graph Toggle</button>
    </div>
    <div id="myChart"></div>
</div>

<script>
    var dataURL = '/resultdata'
    var data = {
        'keys' : [],
        'values' : [],
    }
    $(document).ready(function(){
        $("#myChart").hide();
    });
    $(".row-pasien").mouseover(function(){
        $(this).css("background-color", "#F4F4F4");
    });
    $(".row-pasien").mouseout(function(){
        $(this).css("background-color", "white");
    });
    $("#tombolChart").click(function(){
        $("#myChart").toggle();
    });
    $.ajax({
        method : 'GET',
        url : dataURL,
        success:function(response) {
            for (var i in response) {
                var key = Object.keys(response[i])[0]
                var value = Object.values(response[i])[0]
                data.keys.push(key)
                data.values.push(value)
            }
            buildChart()
        }
    })

    function buildChart(){
        zingchart.render({
            id: 'myChart',
            data: {
                "type": "heatmap",
                "title": {
                    "text": "Tingkat Bahaya Berdasarkan Total Perjalanan Pasien Covid per Kota / Kabupaten",
                    "fontSize": 18
                },
        
                "plot": {
                    'background-color': "#e3394f",
                    'border-radius': "25px",
                    "animation": {
                    "delay": "100",
                    "effect": "4",
                    "method": "5",
                    "sequence": "1"
                    }
                },
                
                "scale-x": {
                    "values" : data.keys
                },

                series: [
                    { values: data.values},
                ]
            }
        });
    }
    
  </script>
{% else %}
<h2 style="color: black; text-align: center;"><a href="{% url 'login:login' %}">Login</a> terlebih dahulu untuk melihat riwayat perjalanan!</h2>
{% endif %}
</div>
{%endblock%}